//GLSL 3.30
#version 330

uniform mat4 u_mvp_matrix;

#define POSITION 0
#define TEX_COORD 1

layout(location = POSITION) in vec4 in_position;
layout(location = TEX_COORD) in vec2 in_tex_coord;

out vec2 inout_tex_coord;


void main()
{
    gl_Position = u_mvp_matrix * in_position;
    inout_tex_coord = in_tex_coord;
}
